Bug 1002281 - Network QoS parameters aren't sent to vdsm on nic hotplug
Network QoS parameters aren't sent to vdsm on nic hotplug
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Moti Asayag
yeylon@redhat.com
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 15:12 EDT by Moti Asayag
Modified: 2016-04-18 02:53 EDT (History)
7 users (show)

See Also:
Fixed In Version: is13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18675 None None None Never

  None (edit)
Description Moti Asayag 2013-08-28 15:12:06 EDT
Description of problem:
When performing a hot plug for a nic which is using a vnic profile configured with a network-qos, the bandwidth parameters aren't being sent to vdsm.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. On a running vm, hotplug nic which uses a vnic profile with network-qos

Actual results:
The libvirt interface element created by vdsm (appears in vdsm log or by dumping the vm xml) doesn't contain the bandwidth parameters.
In addition, the vdsm log doesn't contain the bandwidth parameters as part of the parameters sent by the engine:

Thread-328::DEBUG::2013-08-28 16:53:09,650::BindingXMLRPC::974::vds::(wrapper) client [10.35.202.224]::call vmHotplugNic with ({'nic': {'nicM
odel': 'pv', 'macAddr': '00:1a:4a:c2:64:7e', 'linkActive': 'true', 'network': 'vlan100', 'custom': {}, 'filter': 'vdsm-no-mac-spoofing', 'spe
cParams': {}, 'deviceId': 'bb2b3ab1-8368-48f7-bade-0f1cdb6f388c', 'address': {'bus': '0x00', ' slot': '0x07', ' domain': '0x0000', ' type': '
pci', ' function': '0x0'}, 'device': 'bridge', 'type': 'interface'}, 'vmId': '1170b2f9-6046-4d03-ab46-9e39e0606706'},) {}
Thread-328::DEBUG::2013-08-28 16:53:09,652::vm::2991::vm.Vm::(hotplugNic) vmId=`1170b2f9-6046-4d03-ab46-9e39e0606706`::Hotplug NIC xml: <interface type="bridge">
        <address  domain="0x0000"  function="0x0"  slot="0x07"  type="pci" bus="0x00"/>
        <mac address="00:1a:4a:c2:64:7e"/>
        <model type="virtio"/>
        <source bridge="vlan100"/>
        <filterref filter="vdsm-no-mac-spoofing"/>
        <link state="up"/>
</interface>

Expected results:
The bandwidth parameters should be provided to vdsm.

Additional info:
Comment 1 awinter 2013-09-04 11:19:06 EDT
Bug Fixed.
Bandwidth parameters are passed and shown in the vdsm.log file.
Comment 3 Itamar Heim 2014-01-21 17:30:43 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:30:44 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:33:43 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.